mac80211: use wl18xx-fw-4.bin
authorHauke Mehrtens <hauke@hauke-m.de>
Fri, 11 Sep 2015 20:37:47 +0000 (20:37 +0000)
committerHauke Mehrtens <hauke@hauke-m.de>
Fri, 11 Sep 2015 20:37:47 +0000 (20:37 +0000)
The driver only supports wl18xx-fw-4.bin and does not support the old
firmware wl18xx-fw-3.bin and more.

The wl18xx-conf.bin file was removed upstream it does not fit all
devices any more, see this on how to generate one:
http://processors.wiki.ti.com/index.php/Open_Source_Wireless_Connectivity_wlconf

If someone has a config file for the common platforms with the wifi nic
OpenWrt uses please send a patch.

Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
SVN-Revision: 46887

package/kernel/mac80211/Makefile

index e4299b2..a1233f6 100644 (file)
@@ -1913,8 +1913,7 @@ endef
 define KernelPackage/wl18xx/install
        $(INSTALL_DIR) $(1)/lib/firmware/ti-connectivity
        $(INSTALL_DATA) \
-               $(PKG_BUILD_DIR)/$(PKG_LINUX_FIRMWARE_SUBDIR)/ti-connectivity/wl18xx-conf.bin \
-               $(PKG_BUILD_DIR)/$(PKG_LINUX_FIRMWARE_SUBDIR)/ti-connectivity/wl18xx-fw-3.bin \
+               $(PKG_BUILD_DIR)/$(PKG_LINUX_FIRMWARE_SUBDIR)/ti-connectivity/wl18xx-fw-4.bin \
                $(1)/lib/firmware/ti-connectivity
 endef